import { restoreBuildCache, saveBuildCache } from './build/cache.js';
import { setNetlifyConfig, setNextConfig } from './build/config.js';
import { uploadPrerenderedContent } from './build/content/prerendered.js';
import { copyStaticAssets, uploadStaticContent } from './build/content/static.js';
import { createServerHandler } from './build/functions/server.js';
export const onPreBuild = async ({ constants, utils }) => {
    await restoreBuildCache({ constants, utils });
    setNextConfig();
};
export const onBuild = async ({ constants, utils, netlifyConfig }) => {
    await saveBuildCache({ constants, utils });
    setNetlifyConfig({ netlifyConfig });
    return Promise.all([
        copyStaticAssets({ constants }),
        uploadStaticContent({ constants }),
        uploadPrerenderedContent({ constants }),
        createServerHandler({ constants }),
        // createEdgeHandler(),
    ]);
};
